monitorix(8)

NAME
monitorix - a lightweight system monitoring tool

SYNOPSIS
monitorix -c configfile [-p pidfile] [-d none | graph[,graph] | all] [-v] [-n] [-u] [-s splitpolicy] [-e report=<timeframe>,graphs=<graph>[+graph][+graph...],to=<email>]

DESCRIPTION
This Perl daemon starts the main Monitorix process, which gathers statistics about the system it is running on and stores this information in a set of RRD files.

OPTIONS

-c configfile
    The default location of the main configuration file varies depending on the operating system:

    Linux: /etc/monitorix/monitorix.conf
    FreeBSD: /usr/local/etc/monitorix.conf

    Extra configuration files can be placed in /etc/monitorix/conf.d, they will be loaded right after the main configuration file (overriding previous options).

-p pidfile
    Stores the daemon's process ID into the specified file.

-d none | graph[,graph] | all
    Logs more information about what monitorix is doing internally. The keys reflect if the data collected must be displayed on each case. If all is defined, the data collected of all enabled graphs will be shown. If none is defined no data collected will be shown. Finally it is also possible to define a comma-separated list of graph names from which show their data collected.
    For a reference of all graph names check the option graph_name in the monitorix.conf configuration file.

-v  Displays version information.

-n  This argument will prevent Monitorix from daemonizing, and hence, forcing it to run in foreground. This is specially useful for debugging purposes.

-u  This option will force Monitorix to run under the regular user who started it. It's necessary to make sure that this user will have write permissions to the directory and files pointed by the options base_dir, base_lib and log_file (either for monitorix and for the HTTP built-in server). Also, you must know that some graphs might not work because only the 'root' user is capable to get such statistics. Check the log files after starting Monitorix in this mode.

-s splitpolicy
    This option decides which part of a line in the config file will be the key and which one will be the value. The split policy accepts the values guess (which is the default), whitespace (which causes the Monitorix to split by whitespace) and equalsign (which causes it to split strictly by equal sign).

-e report=timeframe,graphs=graph[+graph][+graph...],to=email
    This option permits one to send email reports unscheduled (i.e: at any time). You don't need to stop your current Monitorix instance, just execute a new one with the new parameter -e and once the job is done it will terminate itself, without affecting your current Monitorix instance. The following is an example of how to send an email report that includes the last day of system, kernel and hptemp graphs to the user@example.com email address:

    # monitorix -c </etc/monitorix/conf.d/local.conf> -e report=daily,graphs=system+kern+hptemp,to=user@example.com

    This option requires to have previously enabled the emailreports module.

SIGNALS
On receipt of a SIGHUP, monitorix will close and reopen its log file (provided that it has a filename defined). This is useful in scripts which rotate and age log files.

Note that the configuration file is not re-read.

FILES
The following set of the files are created on every startup:

<base_dir>/cgi/monitorix.conf.path
    Stores the path of configfile and other information.

<base_dir>/cgi/monitorix.hplog
    Stores the output of hplog command.

<base_dir>/index.html
    HTML main page.

AUTHOR
Monitorix is written by Jordi Sanfeliu <jordi@fibranet.cat>

COPYRIGHT
Copyright © 2005-2024 Jordi Sanfeliu
Licensed under the GNU General Public License version 2 (GPLv2).

SEE ALSO
monitorix.conf(5)